Bug 849655 - Changing status of a test case leaves its body without summary when expanded
Changing status of a test case leaves its body without summary when expanded
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Web UI (Show other bugs)
3.8.0
Unspecified Unspecified
high Severity high
: ---
: 3.8.1
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 09:35 EDT by Vitezslav Humpa
Modified: 2018-02-15 19:39 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vitezslav Humpa 2012-08-20 09:35:49 EDT
Description of problem:
In some test plan you can set a status of test cases using a dropbox menu. Doing so i.e. from the proposed to confirmed, test case now in 3.8 leaves the list of 'reviewing' test cases immediately. If, however, the test case was expanded, the expanded body will stay in place while the header with summary disappears and leaves the body orphaned.

Version-Release number of selected component (if applicable):
Nitrate 3.8.0

How reproducible:
Always

Steps to Reproduce:
1. Go to a plan
2. Expand some test case
3. Change a status from proposed to confirmed or the other way around
  
Actual results:
Body stays, header disappears

Expected results:
Either both stay like before or both are removed from the list
Comment 1 Xiangyang Chu 2012-08-22 05:13:37 EDT
Thanks Vitezslav,
It's a bug and we're looking into it.
Comment 2 Xin Gao 2012-09-07 05:14:18 EDT
jianchen, zhengliu, Yawei

This bug is a very serious problem for tcms users when they edit case stauts, because this operation is so frequent.
So pls fix this bug asap

Thanks
Xin
Comment 3 Zheng Liu 2012-09-07 05:37:03 EDT
This bug will be fixed in next release.
Comment 4 Xin Gao 2012-10-10 03:57:05 EDT
Verify 3.8.1 on tcms-test -->PASS

Verify steps:
1. Go to a plan
2. Expand some test case
3. Change a status from proposed to confirmed or the other way around

Actual result:
works well.

Note You need to log in before you can comment on or make changes to this bug.